Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindprod.filter
Class EverythingFilter

    java.lang.Object
      com.mindprod.filter.EverythingFilter

All Implemented Interfaces:
  java.io.FilenameFilter

    public final class EverythingFilter

extends java.lang.Object
implements java.io.FilenameFilter

FileFilter that accepts everything, all directories and all files.

Since:
  2003-06-06
Version:
  2.5 2009-02-28 - CommandLine split off in its own package.
Author:
  Roedy Green, Canadian Mind Products

Field Summary
`static boolean` | `DEBUGGING` true if debugging.

Constructor Summary
`EverythingFilter()` constructor

Method Summary
`boolean` | `accept(java.io.File dir, java.lang.String name)` Select only files with that pass muster
`static void` | `main(java.lang.String[] args)` TEST harness

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUGGING

    public static final boolean DEBUGGING

  true if debugging. Enables debugging harness.

  See Also:
    Constant Field Values

Constructor Detail

### EverythingFilter

    public EverythingFilter()

  constructor

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  Select only files with that pass muster

  Specified by:
    `accept` in interface `java.io.FilenameFilter`
  Parameters:
    `dir` - the directory in which the file was found.
    `name` - the name of the file
  Returns:
    true if and only if the name should be included in the file list; false otherwise.

### main

    public static void main(java.lang.String[] args)

  TEST harness

  Parameters:
    `args` - not used

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD